<!DOCTYPE html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <style type="text/css">
body, th { font-family:tahoma, verdana, arial, helvetica, sans; font-weight:normal; font-size:9pt; }
body { margin:0; background-color:#DDF; padding:10px; }
p { margin:0 }
a { text-decoration:none;  background-color:Transparent; color:#05F; }
a:visited { color:#55F; }
a:hover { background-color:#EEF; }
img { border-style:none }
td { font-size:10pt; background:#FFF;}
<!-- tr { border:1px solid #BBF }  -->
td img { vertical-align:top }
th, th a, th a:visited { color:#555; font-size:13pt; font-weight:bold; padding-bottom:0; }
#foldercomment { font-size:10pt; color:#888; background:#EEE; padding:3px; border:1px solid #DDD; border-bottom:3px solid #DDD; margin-top:2px; }
#tools { text-align:right; font-size: 8pt; }
#folder, .big { font-size:14pt; font-weight:bold;  }
#folderlabel, #folderstats, #footer { font-size: 8pt; }
#body {
  border-bottom: 4px solid #BBF;
     border-top: 4px solid #BBF;
    border-left: 1px dotted #BBF;
   border-right: 1px dotted #BBF;
  background:#F3F3FF;
  padding:15px;
  margin:15px;
}
  %style%
  </style>
  <title>HFS %folder%</title>
  <link rel="shortcut icon" href="favicon.ico" />
<script>

<!-- edit here //-->
numberofstars=3


</script>
</head>
<body>
<!--{.comment|-->WARNING: Global Rating is only to be used with HFS 2.3 beta (and macros enabled) <!--.} -->
%login-link%
%loggedin%
%upload-link%
<div id=folderlabel>folder</div>
<div id=folder>%folder%</div>
<div id=body>
%folder-comment%
%up%
%files%
</div>
<div id=footer>
<a href="http://www.rejetto.com/hfs/">HttpFileServer %version%</a>
<br />Servertime: %timestamp%
<br />Uptime: %uptime%
<br />Build-time: %build-time%
</div>

<script>
<!-- lokal rating //-->
//localStorage.clear()
if (location.search) {
a=" "+decodeURI(location.search.replace(/\?text=(.+)&.+/,"$1"))
b=1*location.search.replace(/.+&number=(.+)/,"$1")  //=1
localStorage.setItem(a,1*localStorage.getItem(a)+b)

location.href="./"
}

<!-- playlist //-->
a=document.getElementsByClassName("name")
b="[playlist]%0D%0ANumberOfEntries="+a.length

for (var i = 0; i < a.length; i++) {
if (a[i].textContent == " folder.jpg") 
{document.getElementById("fimg").src="folder.jpg"; a[i].parentNode.parentNode.style.display="none"} 
else b+="%0D%0AFile"+(i+1)+"="+a[i].textContent;

document.getElementsByClassName("myrate")[i].textContent=localStorage.getItem(a[i].textContent)

itu=document.getElementsByClassName("rate")[i].innerHTML
document.getElementsByClassName("rate")[i].innerHTML=''
for (var j = 1; j <= numberofstars; j++)
document.getElementsByClassName("rate")[i].innerHTML+='<a href="./?text='+itu+'&number='+j+'">'+((document.getElementsByClassName("rate")[i].title >= (j-0.5)) ? "&#9733;" : "&star;")+'</a>'
document.getElementsByClassName("rate")[i].title+=' rate'
}

document.getElementById("playlist").href="data:audio/x-scpls;utf-8,"+b
</script>

</body>
</html>
<!-- 
{.mkdir | %folder%rating .}
{.if| {.?text.}|{: 

{.set | rate | %folder%rating/{.?text.}.txt .}
{.set | rt | {.load|{.^rate.} .} .}
{.if not | {.^rt.}  |{:{.set | rt |0;0.}:}.}

{.set | ng | {.^rt.} .}
{.regexp|.*;(.+)|var=ng|replace=$1.}
{.set | nd | {.^rt.} .}
{.regexp|(.+);.*|var=nd|replace=$1.}

{.set | ng |{.add | {.^ng.} | 1 .}.}
{.set | nd |{.div | {.add | {.mul | {.sub | {.^ng.} | 1.} | {.^nd.}.} | {.?number.}.} | {.^ng.}.}.}

{.set | rt |{.^nd.};{.^ng.}.}

{.if | {.is file |.%folder%{.?text.}.} |{: {.save | {.^rate.} |{.^rt.} .} :} /if.}

:}/if.}
 -->

[style]

.comment { font-size:7pt; color:#888; background:#EEE; padding:3px; border:1px solid #DDD; margin-top:2px; }
.button { float:right; padding:5px; padding-top:7px; margin:15px; border:2px solid black; background:white; font-size:8pt; font-weight:bold; }
.button img { vertical-align:text-bottom; }
.flag { font-weight:bold; font-size:8pt; background:white; color:red; text-align:center; border:1px solid red; }
.name { font-size: 15px;font-weight:bold; color:black; }

[login-link]
<a href="~login" class=button><img src="/~img27" /> LOGIN</a>

[loggedin]
<span class=button><img src="/~img27" /> user: %user%</span>

[upload-link]
<a href="~upload" class=button><img src="/~img32" /> UPLOAD</a>

[up]
<a class=big href=".."><img src="/~img14" height=16 id="fimg" /> UP</a>

[nofiles]
<div class=big>No file</div>

[files]
<div id=folderstats>%number-folders% folders,  %number-files% files - Total: %total-size%</div>
<table cellpadding=5>
<th><a href="?sort=n">Filename</a>
<th><a href="?sort=s">Filesize</a>
<th><a href="?sort=t">Filetime</a>
<th><a href="?sort=d">Hits</a>
<th><a href="?sort=d">Rate</a>
%list%
</table>
<div id=tools>
<a href="~files.lst">File list</a>
%archive%
<br><a id="playlist" download="playlist.pls">Playlist</a>
</div>

[archive]
<br><a href="~folder.tar?recursive">Folder archive</a>

[protected]
<img src='/~img_lock'>

[file]
<!-- 
{.set | rate | %folder%rating/%item-name%.txt .}
{.set | rt | {.load|{.^rate.} .} .}
{.if not | {.^rt.}  |{:{.set | rt |0;0.}:}.}
{.set | ng | {.^rt.} .}
{.regexp|.*;(.+)|var=ng|replace=$1.}
{.set | nd | {.^rt.} .}
{.regexp|(.+);.*|var=nd|replace=$1.}

  -->
<tr><td>%new% %protected% <a class="name" href="%item-url%"><img src="/~img_file" /> %item-name%</a>%comment%<td align=right>%item-size%<td align=right>%item-modified%<td align=right>%item-dl-count%
<td align=right>{.^ng.} <span class="rate" title="{.round | {.^nd.} | 1.}">%item-url%</span><span class="myrate"></span></td>

[folder]
<!-- 
{.if | {.%item-url% = rating/.} |
 --> <span></span><!--  |
 --><tr><td>%new% %protected% <a href="%item-url%"><img src="/~img_folder" /> <b>%item-name%</b></a>%comment%<td align=center><i>folder</i><td align=right>%item-modified%<td align=right>%item-dl-count%<!-- 
/if.}
  -->
[link]
<tr><td>%new% <a href="%item-url%"><img src="/~img_link" /> <b>%item-name%</b></a>%comment%<td colspan=3 align=center><i>link</i>

[comment]
<div class=comment>%item-comment%</div>

[folder-comment]
<div id=foldercomment>%item-comment%</div>

[error-page]
<html>
  <head>
  <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
    <style>
    %style%
    </style>
  </head>
<body>
%content%
<hr>
<div style="font-family:tahoma, verdana, arial, helvetica, sans; font-size:8pt;">
<a href="http://www.rejetto.com/hfs/">HttpFileServer %version%</a>
<br />%timestamp%
</div>
</body>
</html>

[not found]
<h1>404 -  Not found</h1>
<a href="/">go to root</a>

[overload]
<h1>Server busy</h1>
Please, retry later.

[max contemp downloads]
<h1>Download limit</h1>
On this server there is a limit on the number of <b>simultaneous</b> downloads.
<br />This limit has been reached. Retry later.

[unauthorized]
<h1>Unauthorized</h1>
This is a protected resource.
<br />Your username/password doesn't match.

[deny]
<h1>Unallowed</h1>
This resource is not accessible.

[ban]
<h1>You are banned.</h1>
%reason%
